## org.apache.lucene.xmlparser
Class ParserException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.lucene.xmlparser.ParserException

All Implemented Interfaces:
  Serializable

    public class ParserException

extends Exception

Licensed to the Apache Software Foundation (ASF) under one or more contributor license agreements. See the NOTICE file distributed with this work for additional information regarding copyright ownership. The ASF licenses this file to You under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

See Also:
  Serialized Form

Constructor Summary
`ParserException()`
`ParserException(String message)`
`ParserException(String message, Throwable cause)`
`ParserException(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParserException

    public ParserException()

### ParserException

    public ParserException(String message)

Parameters:
  `message` -

### ParserException

    public ParserException(String message,
                           Throwable cause)

Parameters:
  `message` -
  `cause` -

### ParserException

    public ParserException(Throwable cause)

Parameters:
  `cause` -

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.